// pages/main/main.js
const app = getApp()
const api = require("../../utils/request.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    Hei:0,
    wrongnum: 0,
    collectnum: 0,
    dg1:false,
    background: [app.globalData.mediahost + '/media/banner/1.jpg'],
    indicatorDots: true,
    vertical: false,
    autoplay: true,
    interval: 7000,
    duration: 1500,
    nowWork:null,
    msgList: [
      { title: "欢迎使用辐射学堂!" },
      { title: "QQ交流群:1072443859" },
      { title: "首次访问用户有3次自助模考机会" },
      { title: "如有疑问,请致电课程顾问" },
      ]
  },
  imgH: function (e) {
    let winWid = wx.getSystemInfoSync().windowWidth;        //获取当前屏幕的宽度
    let imgh = e.detail.height;　　　　　　　　　　　　　　　　//图片高度
    let imgw = e.detail.width;
    let swiperH = winWid * imgh / imgw + "px";
    this.setData({
      Hei: swiperH　　　　　　　　//设置高度
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this
    api.request('/examtest/banner/', 'GET').then(res => {
      let images = []
      for(var i=0;i<res.data.length;i++){
        images.push(app.globalData.mediahost + res.data[i].path)
      }
      that.setData({
        background: images
      })
    })
    that.setData({
      search: this.search.bind(this)
  })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    // if(wx.getStorageSync('nowWork')){
    //   this.setData({
    //     nowWork: wx.getStorageSync('nowWork')
    //   })
    // }
    this.getNum()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // chooseWork: function () {
  //   wx.navigateTo({
  //     url: '/pages/workscope/index',
  //   })
  // },
  goLianxi: function () {
    if (getApp().globalData.userinfo.workscope){
      wx.navigateTo({
        url: '/pages/lianxi/index',
      })
    }else{
      wx.showModal({
        title: '暂未开通权限!',
        content: '查看各地区课程顾问联系方式。',
        confirmText: '查看',
        success(res) {
          if (res.confirm) {
            wx.navigateTo({
              url: '/pages/article/detail?id=6',
            })
          }
        }
      })
    }
  },
  showExp: function (){
    var that = this
    const workscope = getApp().globalData.userinfo.workscope
    const remain_count = getApp().globalData.userinfo.remain_count
    if (!workscope && remain_count){
      wx.showModal({
        title: '暂未开通权限!',
        content: '您有' + remain_count + '次体验次数.',
        confirmText: '体验一下',
        success(res) {
          if (res.confirm) {
            that.genPaper2()
          }
        }
      })
    }
  },
  goMoni: function () {
    var that = this
    const workscope = getApp().globalData.userinfo.workscope
    if (workscope) {
      that.genPaper(workscope)
    }
    else {
      const remain_count = getApp().globalData.userinfo.remain_count
      let confirmText, showCancel
      if(remain_count>0){
        wx.showModal({
          title: '暂未开通权限!',
          content: '您有' + remain_count + '次体验次数.',
          confirmText: '体验一下',
          success(res) {
            if (res.confirm) {
              that.genPaper2()
            }
          }
        })
      }else{
        wx.showModal({
          title: '未开通权限!',
          content: '体验次数已用完',
          showCancel: false,
        })
      }
    }
  },
  goYati: function () {
    if (getApp().globalData.userinfo.workscope) {
      wx.navigateTo({
        url: '/pages/yati/index',
      })
    } else {
      wx.showModal({
        title: '暂未开通权限!',
        content: '查看各地区课程顾问联系方式。',
        confirmText: '查看',
        success(res) {
          if (res.confirm) {
            wx.navigateTo({
              url: '/pages/article/detail?id=6',
            })
          }
        }
      })
    }
  },
  testList: function (){
    wx.navigateTo({
      url: '/pages/test/list',
    })
  },
  genPaper: function (workId) {
    wx.showLoading({
      title: '正在生成试卷',
      mask:true
    })
    api.request('/examtest/workscope/' + workId + '/monitest/', 'GET').then(res => {
      wx.hideLoading()
      try {
        wx.setStorageSync('examtest', res.data)
      } catch (e) { }
      wx.navigateTo({
        url: '/pages/moni/note',
      })
    })
    
  },
  genPaper2: function () {
    wx.showLoading({
      title: '正在生成试卷',
      mask: true
    })
    api.request('/examtest/workscope/monitest2/', 'GET').then(res => {
      wx.hideLoading()
      try {
        wx.setStorageSync('examtest', res.data)
        getApp().globalData.userinfo.remain_count = res.data.remain_count
      } catch (e) { }
      wx.navigateTo({
        url: '/pages/moni/note',
      })
    })

  },
  showDg: function(){
    this.setData({
      dg1:true
    })
  },
  Baoming: function (){
    wx.navigateToMiniProgram({
      appId: 'wxdcf5bbfb50dbbac8',
      path: '',
      success(res) {
        // 打开其他小程序成功同步触发
        // wx.showToast({
        //   title: '跳转成功'
        // })
      }
    })
  },
  search: function (value) {
    
    return new Promise((resolve, reject) => {
      api.request('/question/question/', 'GET', {search:value,page:1,limit:20}).then(res => {
        if(res.data && res.data.results){
          for(var i=0; i<res.data.results.length;i++){
            res.data.results[i].text = res.data.results[i].name.replace('<p>','').replace('</p>','').substring(0,18)+'...' 
            res.data.results[i].value = res.data.results[i].id
          }
          resolve(res.data.results)
        }else{
          resolve([{text: '无搜索结果', value: 0}])
        }
      })
    })
  },
  selectResult: function (e) {
    console.log(e.detail)
    wx.navigateTo({
      url: `/pages/question/detail?id=${e.detail.item.id}`,
    })
  },
  getNum: function(){
    try{
      const ctms = wx.getStorageSync('ctms')
      this.setData({
        wrongnum:ctms.length
      })
    }catch(e){}
  },
  goTest: function(){
    var that = this
    const workscope = getApp().globalData.userinfo.workscope
    wx.showLoading({
      title: '正在生成试卷',
      mask:true
    })
    api.request('/examtest/workscope/' + workscope + '/examtest/', 'GET').then(res => {
      wx.hideLoading()
      try {
        wx.setStorageSync('examtest', res.data)
      } catch (e) { }
      wx.navigateTo({
        url: '/pages/exam/note',
      })
    })
    
  }
})